"""empty message

Revision ID: fa8a00c8799c
Revises: c26f52921f28
Create Date: 2019-05-24 09:08:15.481671

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'fa8a00c8799c'
down_revision = '0fc5c07816f3'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('cluster', sa.Column('ca_crt', sa.String(length=80), nullable=False))
    op.add_column('cluster', sa.Column('service_token', sa.String(length=900), nullable=False))
    op.drop_column('cluster', 'certificate_authority')
    op.drop_column('cluster', 'docker_cert_path')
    op.drop_column('cluster', 'client_key')
    op.drop_column('cluster', 'client_cert')
    op.drop_column('cluster', 'docker_host')
    op.drop_column('cluster', 'docker_api_version')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('cluster', sa.Column('docker_api_version', sa.VARCHAR(length=10), autoincrement=False, nullable=True))
    op.add_column('cluster', sa.Column('docker_host', sa.VARCHAR(length=80), autoincrement=False, nullable=True))
    op.add_column('cluster', sa.Column('client_cert', sa.VARCHAR(length=80), autoincrement=False, nullable=False))
    op.add_column('cluster', sa.Column('client_key', sa.VARCHAR(length=80), autoincrement=False, nullable=False))
    op.add_column('cluster', sa.Column('docker_cert_path', sa.VARCHAR(length=80), autoincrement=False, nullable=True))
    op.add_column('cluster', sa.Column('certificate_authority', sa.VARCHAR(length=80), autoincrement=False, nullable=False))
    op.drop_column('cluster', 'service_token')
    op.drop_column('cluster', 'ca_crt')
    # ### end Alembic commands ###
